version: '3.8'

services:
  backend:
    build:
      context: ./backend
    container_name: app-nova-backend
    ports:
      - "8000:8000"
    volumes:
      - ./backend:/app  # Hot reload en desarrollo
      - ./backend/media:/app/media  # Persistencia de media (si la quieres)
    environment:
      - PYTHONUNBUFFERED=1
